/*************************************************  Utility Functions Header  **************************************************

	Red Rapids
	797 North Grove Rd
	Suite 101
	Richardson, TX 75081
	www.redrapids.com | support@redrapids.com

	Rev History: 1-10-2014:	Inital release.

	Copyright 2014, Red Rapids, Inc.

*************************************************  Utility Functions Header  **************************************************/

#ifndef _UTILITY_FUNCTIONS_H_
#define _UTILITY_FUNCTIONS_H_

#if defined(__cplusplus)
	extern "C" {
#endif

// Prototypes for each of the utility functions.
unsigned long DataSave(void **p_PageAddresses, s_Channel RXChannel, char *p_File, size_t PageCount, size_t DataItemSize);
unsigned long DataLoad(void **p_PageAddresses, s_Channel TXChannel, double FsDivisor, size_t DataItemSize);
unsigned long TargetSave(s_Adapter *p_HW, char *p_File, unsigned long ChannelNumber);

#ifdef __cplusplus
}
#endif

#endif
